﻿Imports System.Runtime.CompilerServices
Imports System.Collections

Public Module StringExtensions

    ''' <summary>
    ''' gibt den String-Abschnitt links des ersten gefundenen Matches zurück
    ''' </summary>
    <Extension()> _
    Public Function LeftCut(ByVal Subj As String, ByVal Pattern As String) As String
        Dim Index = Subj.IndexOf(Pattern)
        If Index >= 0 Then
            Return Subj.Substring(0, Index)
        Else
            Return Nothing
        End If
    End Function

    <Extension()> _
    Public Function ConcatWith(ByVal Subj As Object, ByVal ParamArray Args() As Object) As String
        'Quasi-Umbau von Shared String.Concat() in eine Object-Function
        Return Subj.ToString & String.Concat(Args)
    End Function

    <Extension()> _
    Public Function ParseToInt(ByRef Subj As String) As Integer
        'Umbau von Shared Integer.Parse() in eine String-Object-Function
        Return Integer.Parse(Subj)
    End Function

End Module
